/// <reference types="koa" />
import Koa = require('koa');
import { IAppOptions } from './types';
/**
 * createApp
 * @param {Object} options - options
 * @param {Function} onStart - callback after server start
 * @return {Koa} app - serverApp
 */
declare function createApp(options: IAppOptions, onStart?: () => undefined): Koa;
export = createApp;
