/**
 * validate the url's hostname is a domain name or not
 */
import URL = require('url');

const REG_DOMAIN = /^[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*\.[a-zA-Z]+$/;
export = (target: string) => {
  const parsed: URL.Url = URL.parse(target);
  return REG_DOMAIN.test(parsed.hostname as string);
};
