import path = require('path');

import { IServerConfig } from '../types';

const DEFAULT_CONFIG: IServerConfig = {
  port: 9001,
  proxy: {},
};

const serverConfigPath = path.join(process.cwd(), 'fary.config.js');

// tslint:disable-next-line
const serverConfigValue: IServerConfig = Object.assign({}, DEFAULT_CONFIG, require(serverConfigPath));

export = {
  path: serverConfigPath,
  value: serverConfigValue,
};
