"use strict";
module.exports = {
    // Whether or not development mode
    // tslint:disable-next-line
    // *IS_DEV === true* means in local development, otherwise means in integration environment, like *test*, *prepub*, *production*
    IS_DEV: process.env.NODE_ENV === 'development',
    // Whether or not in *real production environment*
    // *IS_SERVER_PRODUCTION === true* means in *production*, but not *local development*,  *test* or *prepub*
    // The server container will set the `SERVER_ENV` to a accordingly value
    IS_SERVER_PRODUCTION: process.env.SERVER_ENV === 'production',
};
//# sourceMappingURL=env.js.map