"use strict";
/**
 * validate the url's hostname is a domain name or not
 */
const URL = require("url");
const REG_DOMAIN = /^[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*\.[a-zA-Z]+$/;
module.exports = (target) => {
    const parsed = URL.parse(target);
    return REG_DOMAIN.test(parsed.hostname);
};
//# sourceMappingURL=is-domain.js.map